.leginy-section h1 {
    font-size: 34px;
    color: #A08353;
    margin-bottom: 30px;
    font-weight: 400;
}

.leginy-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.leginy-item {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    min-height: 300px;
}

.leginy-item-large {
    grid-row: span 2;
    min-height: 650px;
    max-height: 650px;
}

.leginy-right-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.leginy-right-container .leginy-item {
    min-height: 320px;
    max-height: 320px;
}


.leginy-right-container .leginy-item:last-child {
    grid-column: span 2;
}


h2.category-title-leginy {
    font-weight: 300;
    color: white;
    font-size: 32Px;
}

.leginy-item img {
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease;
    object-fit: cover;
}

.leginy-item:hover img {
    transform: scale(1.1);
}

.leginy-section .overlay-leginy {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.35);
    z-index: 1;
}

.leginy-item:hover .overlay-leginy {
    background: rgba(0, 0, 0, 0);
}

.-leginy {
    color: white;
    font-size: 28px;
    font-weight: 400;
}

@media (max-width: 1199px) {
    .leginy-grid {
        grid-template-columns: 1fr 1fr;
    }

    .leginy-item-large {
        grid-row: span 1;
        min-height: 300px;
        max-height: 320px;
    }

    .leginy-right-container {
        display: contents;
    }

    .leginy-right-container .leginy-item:last-child {
        grid-column: span 1;
    }
}

@media (max-width: 767px) {
    .leginy-grid {
        gap: 15px;
    }

    .leginy-item {
        min-height: 250px;
    }

    .leginy-item-large {
        min-height: 250px;
    }

    .leginy-section h1 {
        font-size: 34px;
        line-height: 28px;
        margin-bottom: 25px;
    }

    .category-title-leginy {
        font-size: 1.8rem;
    }
}

@media (max-width: 480px) {
    .leginy-grid {
        grid-template-columns: 1fr;
    }

    .leginy-item {
        min-height: 300px;
    }

    .category-title-leginy {
        font-size: 1.5rem;
    }
}
